org.apache.catalina.startup

## Class ClassLoaderFactory.Repository

- java.lang.Object
- - org.apache.catalina.startup.ClassLoaderFactory.Repository

- Enclosing class:
    ClassLoaderFactory

      public static class ClassLoaderFactory.Repository
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoaderFactory.Repository(String location, ClassLoaderFactory.RepositoryType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()`
    `ClassLoaderFactory.RepositoryType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderFactory.Repository

          public ClassLoaderFactory.Repository(String location,
                                       ClassLoaderFactory.RepositoryType type)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### getType

          public ClassLoaderFactory.RepositoryType getType()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.